Triggers a new custom report run based on the provided configuration.
Rate limit: 50 requests/hour (learn more about rate limits here).
To use this endpoint, select Write Custom Reports under the Custom Reports category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/reports/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reportConfig": {
"columns": [
{
"fieldName": "Id"
}
],
"datasetId": "AssetReadings",
"filters": {},
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1"
}
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1",
"status": "complete",
"updatedAtTime": "2019-06-13T19:08:25Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Contains information required to trigger report run
Contains report config for a given report run.
Show child attributes
Accepted response.
Base custom report run response object.
Show child attributes
curl --request POST \
--url https://api.samsara.com/reports/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reportConfig": {
"columns": [
{
"fieldName": "Id"
}
],
"datasetId": "AssetReadings",
"filters": {},
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1"
}
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"id": "4f71fd67-54f0-41de-991c-ee1e031134d1",
"status": "complete",
"updatedAtTime": "2019-06-13T19:08:25Z"
}
}